angular.module('odoo', ['ionic', 'odoo.controllers'])

.run(function($ionicPlatform) {
     $ionicPlatform.ready(function() {
        if (window.cordova && window.cordova.plugins.Keyboard) {
            cordova.plugins.Keyboard.hideKeyboardAccessoryBar(true);
            cordova.plugins.Keyboard.disableScroll(true);
        }

        if (window.StatusBar) {
            StatusBar.styleDefault();
        }

        db = window.sqlitePlugin.openDatabase({name: 'odoo.db', location: 'default'});
        db.executeSql("CREATE TABLE IF NOT EXISTS 'user' ('id' INTEGER NOT NULL  PRIMARY KEY AUTOINCREMENT, 'remote_id' INTEGER DEFAULT 0, 'host' VARCHAR(35) DEFAULT 0, 'port' INTEGER DEFAULT 0, 'database' VARCHAR(35) DEFAULT NULL, 'username' VARCHAR(35) DEFAULT NULL, 'password' VARCHAR(35) DEFAULT NULL)");
    });
})

.config(function($stateProvider, $urlRouterProvider) {
    $stateProvider
        .state('app', {
            url: '/app',
            abstract: true,
            templateUrl: 'templates/menu.html'
        })
        .state('app.main', {
            url: 'app/main',
            views: {
                'content': {
                    templateUrl: 'templates/main.html',
                    controller: 'MainController'
                }
            }
        })

        .state('app.sales', {
            url: 'app/sales',
            views: {
                'content': {
                    templateUrl: 'templates/sales.html',
                    controller: 'VentasController'
                }
            }
        })

        .state('app.customers', {
            url: 'app/customers',
            views: {
                'content': {
                    templateUrl: 'templates/customers.html',
                    controller: 'CustomersController'
                }
            }
        })

        .state('configuration', {
            url: '/configuration',
            templateUrl: 'templates/configuration.html',
            controller: 'ConfigurationController'
        });

    $urlRouterProvider.otherwise('/configuration');
});
